For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceModelObjects

Update

PATCH
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/objects/:modelObjectId
PATCH
/v1/landscapes/:landscapeId/versions/:versionId/model/objects/:modelObjectId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.objects.update("landscapeId", "versionId", "modelObjectId", {
8 body: {},
9 });
10}
11main();
1{
2 "modelObject": {
3 "commit": 1.1,
4 "external": true,
5 "groupIds": [
6 "string"
7 ],
8 "icon": {
9 "catalogTechnologyId": "string",
10 "name": "string",
11 "urlDark": [
12 "/organizations/{organizationId}/dark/{catalogTechnologyId}.png",
13 "/dark/{catalogTechnologyId}.png"
14 ],
15 "urlLight": [
16 "/organizations/{organizationId}/light/{catalogTechnologyId}.png",
17 "/light/{catalogTechnologyId}.png"
18 ],
19 "url": "string"
20 },
21 "labels": {},
22 "links": {},
23 "name": "string",
24 "parentId": "string",
25 "status": "deprecated",
26 "tagIds": [
27 "string"
28 ],
29 "teamIds": [
30 "string"
31 ],
32 "teamOnlyEditing": true,
33 "technologyIds": [
34 "string"
35 ],
36 "type": "actor",
37 "domainId": "string",
38 "handleId": "string",
39 "childDiagramIds": [
40 "string"
41 ],
42 "childIds": [
43 "string"
44 ],
45 "createdAt": "2024-01-15T09:30:00Z",
46 "createdBy": "user",
47 "createdById": "string",
48 "diagrams": {},
49 "flows": {},
50 "id": "string",
51 "landscapeId": "string",
52 "linked": true,
53 "parentIds": [
54 "string"
55 ],
56 "updatedAt": "2024-01-15T09:30:00Z",
57 "updatedBy": "user",
58 "updatedById": "string",
59 "version": 1.1,
60 "versionId": "string",
61 "caption": "string",
62 "description": "string",
63 "deletedAt": "2024-01-15T09:30:00Z",
64 "deletedBy": "user",
65 "deletedById": "string",
66 "latestEntityId": "string"
67 }
68}
Was this page helpful?
Previous

Dependencies JSON

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
modelObjectIdstringRequired

Request

This endpoint expects an object.
captionstringOptional
Short summary of the object shown as the display description
commitdoubleOptional
descriptionstringOptional
externalbooleanOptional
groupIdslist of strings or objectOptional
iconobject or nullOptional
labelsmap from strings to stringsOptional
Generic key value store used for creating custom integrations
linksobjectOptional
namestringOptional
parentIdstring or nullOptional
Parent model object ID, null for the root level model object
statusenumOptional
Allowed values:
tagIdslist of strings or objectOptional
teamIdslist of strings or objectOptional
teamOnlyEditingbooleanOptional

Model object (+child diagram, diagram groups and flows) can only be edited by owners and admins

technologyIdslist of strings or objectOptional
typeenumOptional

Response

OK
modelObjectobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error